ruby-temple_0.7.6-1_all.deb


Advertisement

Description

ruby-temple - template compilation framework in Ruby

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-temple
Package version: 0.7.6
Package release: 1
Package architecture: all
Package type: deb
Installed size: 120 B
Download size: 25.17 KB
Official Mirror: archive.ubuntu.com
Temple is an abstraction and a framework for compiling templates to pure Ruby. It's all about making it easier to experiment, implement and optimize template languages. It should be of interest of anyone who wants to implement a template language or cares about the internals of a template engine.

Alternatives

    Download

    Source package: ruby-temple

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-temple deb package:
      # sudo apt-get install ruby-temple

    Files

    • /usr/lib/ruby/vendor_ruby/temple.rb
    • /usr/lib/ruby/vendor_ruby/temple/engine.rb
    • /usr/lib/ruby/vendor_ruby/temple/exceptions.rb
    • /usr/lib/ruby/vendor_ruby/temple/filter.rb
    • /usr/lib/ruby/vendor_ruby/temple/generator.rb
    • /usr/lib/ruby/vendor_ruby/temple/grammar.rb
    • /usr/lib/ruby/vendor_ruby/temple/map.rb
    • /usr/lib/ruby/vendor_ruby/temple/parser.rb
    • /usr/lib/ruby/vendor_ruby/temple/templates.rb
    • /usr/lib/ruby/vendor_ruby/temple/utils.rb
    • /usr/lib/ruby/vendor_ruby/temple/version.rb
    • /usr/lib/ruby/vendor_ruby/temple/erb/engine.rb
    • /usr/lib/ruby/vendor_ruby/temple/erb/parser.rb
    • /usr/lib/ruby/vendor_ruby/temple/erb/template.rb
    • /usr/lib/ruby/vendor_ruby/temple/erb/trimming.rb
    • /usr/lib/ruby/vendor_ruby/temple/filters/code_merger.rb
    • /usr/lib/ruby/vendor_ruby/temple/filters/control_flow.rb
    • /usr/lib/ruby/vendor_ruby/temple/filters/dynamic_inliner.rb
    • /usr/lib/ruby/vendor_ruby/temple/filters/encoding.rb
    • /usr/lib/ruby/vendor_ruby/temple/filters/eraser.rb
    • /usr/lib/ruby/vendor_ruby/temple/filters/escapable.rb
    • /usr/lib/ruby/vendor_ruby/temple/filters/multi_flattener.rb
    • /usr/lib/ruby/vendor_ruby/temple/filters/remove_bom.rb
    • /usr/lib/ruby/vendor_ruby/temple/filters/static_merger.rb
    • /usr/lib/ruby/vendor_ruby/temple/filters/validator.rb
    • /usr/lib/ruby/vendor_ruby/temple/generators/array.rb
    • /usr/lib/ruby/vendor_ruby/temple/generators/array_buffer.rb
    • /usr/lib/ruby/vendor_ruby/temple/generators/erb.rb
    • /usr/lib/ruby/vendor_ruby/temple/generators/rails_output_buffer.rb
    • /usr/lib/ruby/vendor_ruby/temple/generators/string_buffer.rb
    • /usr/lib/ruby/vendor_ruby/temple/html/attribute_merger.rb
    • /usr/lib/ruby/vendor_ruby/temple/html/attribute_remover.rb
    • /usr/lib/ruby/vendor_ruby/temple/html/attribute_sorter.rb
    • /usr/lib/ruby/vendor_ruby/temple/html/dispatcher.rb
    • /usr/lib/ruby/vendor_ruby/temple/html/fast.rb
    • /usr/lib/ruby/vendor_ruby/temple/html/filter.rb
    • /usr/lib/ruby/vendor_ruby/temple/html/pretty.rb
    • /usr/lib/ruby/vendor_ruby/temple/html/safe.rb
    • /usr/lib/ruby/vendor_ruby/temple/mixins/dispatcher.rb
    • /usr/lib/ruby/vendor_ruby/temple/mixins/engine_dsl.rb
    • /usr/lib/ruby/vendor_ruby/temple/mixins/grammar_dsl.rb
    • /usr/lib/ruby/vendor_ruby/temple/mixins/options.rb
    • /usr/lib/ruby/vendor_ruby/temple/mixins/template.rb
    • /usr/lib/ruby/vendor_ruby/temple/templates/rails.rb
    • /usr/lib/ruby/vendor_ruby/temple/templates/tilt.rb
    • /usr/share/doc/ruby-temple/EXPRESSIONS.md.gz
    • /usr/share/doc/ruby-temple/README.md.gz
    • /usr/share/doc/ruby-temple/changelog.Debian.gz
    • /usr/share/doc/ruby-temple/copyright
    • /usr/share/rubygems-integration/all/specifications/temple-0.7.6.gemspec

    Changelog

    2015-09-09 - Jérémy Bobbio <lunar@debian.org> ruby-temple (0.7.6-1) unstable; urgency=low * New upstream version. * Update Build-Depends. * Add patch to fix compatibility with the tilt version currently in Debian. * Switch to debhelper compat level 9. * Update Vcs-* URL. * Update debian/copyright. * Bump Standards-Version, no changes required.

    2014-05-04 - Jérémy Bobbio <lunar@debian.org> ruby-temple (0.6.7-1) unstable; urgency=low * New upstream version. * Bump Standards-Version, no changes required.

    2013-08-07 - Jérémy Bobbio <lunar@debian.org> ruby-temple (0.6.6-1) unstable; urgency=low * New upstream version.

    2013-06-12 - Jérémy Bobbio <lunar@debian.org> ruby-temple (0.6.5-1) unstable; urgency=low [ Jérémy Bobbio ] * Imported Upstream version 0.6.5. [ Cédric Boutillier ] * Use canonical URI in Vcs-* fields.

    2013-03-18 - Jérémy Bobbio <lunar@debian.org> ruby-temple (0.6.2-1) unstable; urgency=low * Initial release (Closes: #703145)

    Advertisement
    Advertisement